<?php

namespace Daylight\Core\Modules\MenuBuilder;

class Menu
{
    public string $key;

    public string $viewKey;

    public string $label;

    public int $order = 0;

    public function __construct()
    {
        //
    }

    public function setKey(string $key): self
    {
        $this->key = $key;

        return $this;
    }

    public function getKey(): string
    {
        return $this->key;
    }

    public function setViewKey(string $viewKey): self
    {
        $this->viewKey = $viewKey;

        return $this;
    }

    public function getViewKey(): string
    {
        return $this->viewKey;
    }

    public function setLabel(string $label): self
    {
        $this->label = $label;

        return $this;
    }

    public function setOrder(int $order): self
    {
        $this->order = $order;

        return $this;
    }

    public function getOrder(): int
    {
        return $this->order;
    }

    public static function create(): self
    {
        return new self;
    }
}
